#!/bin/bash
set -e

gitolite_root=/var/lib/gitolite3
repository_root="${gitolite_root}/repositories"

/usr/bin/find "$repository_root" \
   -mindepth 1 -maxdepth 1 \
   -type d -print0 | while IFS= read -r -d '' repository_dir ; do

    repository=$(basename "$repository_dir")
    # set up remotes for the mirrors we're pushing to
    case "$repository" in
        puppet-*|etcher-binary.git|jenkins-jobs.git|mirror-pool-dispatcher.git|mirror-pool.git|promotion-material.git|tails.git|uui-binary.git)
            if ! grep -qs -x "${repository}" \
                  /var/lib/gitolite3/projects.list ; then
               continue
            fi
            (
               cd "$repository_dir"
               git remote | grep -qs -x gitlab || \
                  git remote add gitlab "git@gitlab.com:Tails/$repository"
               git remote | grep -qs -x immerda || \
                  git remote add immerda "tails@git.tails.boum.org:$repository"
               if git remote | grep -qs -x labs; then
                  git remote set-url labs "tails_git@redmine.tails.boum.org:/srv/repositories/$repository"
               else
                  git remote add labs "tails_git@redmine.tails.boum.org:/srv/repositories/$repository"
               fi
               git remote | grep -qs -x salsa || \
                  git remote add salsa "git@salsa.debian.org:tails-team/$repository"
            )
            ;;
        *)
            ;;
    esac
done
