# Manage static archives of Tails' Redmine
class tails::redmine::archive (
  String $http_password_hash,
  Enum['present', 'absent'] $ensure      = 'present',
  String $http_user                      = 'Tails',
  Stdlib::Fqdn $public_archive_hostname  = 'public-redmine-archive.tails.boum.org',
  Stdlib::Fqdn $private_archive_hostname = 'private-redmine-archive.tails.boum.org',
) {

  # XXX: once this public archive is deemed safe to expose publicly:
  # 1. Change tails::redmine::archive::http_password_hash in Hiera
  #    (it guards access to the _private_ archive, to which less people
  #    shall have access).
  # 2. Set "public => true" and drop the "http_*" parameters.
  tails::redmine::archive_vhost { $public_archive_hostname:
    public             => false,
    http_user          => $http_user,
    http_password_hash => $http_password_hash,
  }

  tails::redmine::archive_vhost { $private_archive_hostname:
    public             => false,
    http_user          => $http_user,
    http_password_hash => $http_password_hash,
  }

}
